Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 451024 - Sonata gives traceback when run
Summary: Sonata gives traceback when run
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: sonata
Version: 9
Hardware: i686
OS: Linux
low
medium
Target Milestone: ---
Assignee: Michał Bentkowski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-12 13:51 UTC by Karl Magnus Kolstø
Modified: 2009-07-14 16:03 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-07-14 16:03:29 UTC


Attachments (Terms of Use)

Description Karl Magnus Kolstø 2008-06-12 13:51:00 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/4.0; Linux) KHTML/4.0.5 (like Gecko) Fedora/4.0.5-2.fc9

Description of problem:
sonata gives traceback when run

see: "actual results" for the traceback.

Version-Release number of selected component (if applicable):
sonata-1.5.1-1.fc9.i386

How reproducible:
Always


Steps to Reproduce:
1. run sonata


Actual Results:

bash-3.2$ sonata
Traceback (most recent call last):
  File "/usr/bin/sonata", line 48, in <module>
    app = main.Base()
  File "/usr/lib/python2.5/site-packages/sonata/main.py", line 1065, in __init__
    self.iterate_now()
  File "/usr/lib/python2.5/site-packages/sonata/main.py", line 1654, in
iterate_now
    self.iterate()
  File "/usr/lib/python2.5/site-packages/sonata/main.py", line 1611, in iterate
    self.handle_change_status()
  File "/usr/lib/python2.5/site-packages/sonata/main.py", line 3517, in
handle_change_status
    self.library_browse(root=self.wd)
  File "/usr/lib/python2.5/site-packages/sonata/main.py", line 2389, in
library_browse
    for item in lsinfo:
TypeError: 'NoneType' object is not iterable
Unhandled exception in thread started by 
Error in sys.excepthook:

Original exception was:
bash-3.2$

Expected Results:
Sonata should have started

Additional info:
Same crash has been seen on fedora 8 when trying to connect to mpd on fedora 9
machine.
-> bug is most probably related to mpd in some way.

mpd-0.13.1-3.lvn9.1.i386

Comment 1 Karl Magnus Kolstø 2008-06-13 07:17:29 UTC
This seems to happen while mpd is indexing music directories.
When mpd is done, sonata starts as it should.
Still, I don't think that should crash when mpd is indexing.

Thanks.
-- 
Karl Magnus

Comment 2 Michał Bentkowski 2008-06-13 10:43:52 UTC
I am not sure when it happens because I don't have this problem myself (or at 
last, I wasn't able to reproduce it myself).
You mean that you're doing "mpd --create-db" and then sonata crashes? Or sonata 
crashes during every run?

Comment 3 Karl Magnus Kolstø 2008-06-13 11:05:02 UTC
Looks like it works now.
When we saw the crashes, mpd was generating the database (rather large one, so
it takes time) for the very first time (new, clean install). So the database was
empty or possibly partly generated (I don't know how mpd does that) when we
tried to start sonata.
I don't know how to purge mpd's base, so I can't retest the theory (and I'd
rather not reinstall again).



Comment 4 lexual 2009-02-26 12:55:55 UTC
Karl, to try to reproduce with a clean base, you could try just renaming the config files.

e.g. all my mpd config files are in ~/.mpd

If I:
shutdown mpd
mv ~/.mpd ~/.mpd~
mkdir ~/.mpd
run mpd
run sonata

That might give you an idea.

Then to get back to original config by deleting ~/.mpd & moving ~/.mpd~ back to ~/.mpd

I might try this myself when I get the chance.

Comment 5 Karl Magnus Kolstø 2009-02-27 09:32:26 UTC
This was a while ago.
I'm afraid I am on F10 now, and I don't really use sonata anymore.
I might try sonata here sometime later, but currently there seem to be a problem with the sound output (crackling sound) via mpd.
(Probably a regression; I have had it a while back, then it went away then it came back. All with new kernel releases) Anyway, it is not related to this sonata issue anyway.

Comment 6 Bug Zapper 2009-06-10 01:34:29 UTC
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 7 Bug Zapper 2009-07-14 16:03:29 UTC
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.